GIMPTOOL(1)

NAME
gimptool - perform various Gimpy functions

SYNOPSIS
gimptool [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--help] [--quiet] [--silent] [-n] [--just-print] [--dry-run] [--recon] [--bindir] [--sbindir] [--libexecdir] [--datadir] [--sysconfdir] [--sharedstatedir] [--localstatedir] [--libdir] [--infodir] [--mandir] [--includedir] [--gimpplugindir] [--gimpdatadir] [--libs] [--libs-noui] [--cflags] [--cflags-noi] [--build plug-in.c] [--build-strip plug-in.c] [--install plug-in.c] [--install-strip plug-in.c] [--install-admin plug-in.c] [--install-bin plug-in] [--install-admin-strip plug-in.c] [--install-bin-strip plug-in] [--install-admin-bin plug-in] [--install-script script.scm] [--install-admin-script script.scm] [--uninstall-bin plug-in] [--uninstall-admin-bin plug-in] [--uninstall-script script.scm] [--uninstall-admin-script script.scm]

DESCRIPTION

gimptool is a tool that can, among other things, build plug-ins or scripts and install them if they are distributed in one source file.

gimptool can also be used by programs that need to know what libraries and include-paths Gimp was compiled with. This is especially useful in Makefiles.

On Unix, gimptool is a script. On Windows, it is a program. They should be more or less compatible. This manual page describes the Unix script version.

OPTIONS
gimptool accepts the following options:

--version
    Print the currently installed version of Gimp on the standard output.

--help
    Print out the help blurb, showing commonly used commandline options.

--quiet
    Run quietly without echoing any of the build commands.

--silent
    Run silently without echoing any of the build commands. Same as --quiet.

-n  Test mode. Print the commands but dont actually execute them. Useful for making dry runs for testing.

--just-print
    Test mode. Print the commands but dont actually execute them. Same as -n.

--dry-run
    Test mode. Print the commands but dont actually execute them. Same as -n.

--recon
    Test mode. Print the commands but dont actually execute them. Same as -n.

--bindir
    Outputs the bindir used to install the Gimp.

--sbindir
    Outputs the sbindir used to install the Gimp.

--libexecdir
    Outputs the libexecdir used to install the Gimp.

--datadir
    Outputs the datadir used to install the Gimp.

--sysconfdir
    Outputs the sysconfdir used to install the Gimp.

--sharedstatedir
    Outputs the sharedstatedir used to install the Gimp.

--localstatedir
    Outputs the localstatedir used to install the Gimp.

--libdir
    Outputs the libdir used to install the Gimp.

--infodir
    Outputs the infodir used to install the Gimp.

--mandir
    Outputs the mandir used to install the Gimp.

--includedir
    Outputs the includedir used to install the Gimp.

--gimpdatadir
    Outputs the actual directory where the Gimp data files were installed.

--gimpplugindir
    Outputs the actual directory where the Gimp plugins were installed.

--build plug-in.c
    Compile and link plug-in.c into a Gimp plug-in.

--build-strip plug-in.c
    Compile,link, and strip plug-in.c into a Gimp plug-in.

--install plug-in.c
    Compile, link, and install plug-in.c into the user's personal Gimp plug-in directory ($HOME/.gimp-1.2/plug-ins)

--install-strip plug-in.c
    Compile, link,strip, and install plug-in.c into the user's personal Gimp plug-in directory ($HOME/.gimp-1.2/plug-ins)

--install-admin plug-in.c
    Compile, link, and install plug-in.c into the system-wide Gimp plug-in directory (${exec_prefix}/libexec/gimp/1.2/plug-ins)

--install-bin plug-in
    Install plug-in into the user's personal Gimp plug-in directory ($HOME/.gimp-1.2/plug-ins)

--install-admin-bin plug-in
    Install plug-in into the system-wide Gimp plug-in directory (${exec_prefix}/libexec/gimp/1.2/plug-ins)

--install-bin-strip plug-in
    Install stripped plug-in into the user's personal Gimp plug-in directory ($HOME/.gimp-1.2/plug-ins)

--install-admin-bin-strip plug-in
    Install stripped plug-in into the system-wide Gimp plug-in directory (${exec_prefix}/libexec/gimp/1.2/plug-ins)

--install-script script.scm
    Install script.scm into the user's personal Gimp script directory ($HOME/.gimp-1.2/scripts)

--install-admin-script script.scm
    Install script.scm into the system-wide Gimp script directory (${prefix}/share/gimp/scripts)

--uninstall-bin plug-in
    Uninstall plug-in from the user's personal Gimp plug-in directory ($HOME/.gimp-1.2/plug-ins)

--uninstall-admin-bin plug-in
    Uninstall plug-in from the system-wide Gimp plug-in directory (${exec_prefix}/libexec/gimp/1.2/plug-ins)

--uninstall-script script.scm
    Uninstall script.scm from the user's personal Gimp script directory ($HOME/.gimp-1.2/scripts)

--uninstall-admin-script script.scm
    Uninstall script.scm from the system-wide Gimp script directory (${prefix}/share/gimp/scripts)

--libs
    Print the linker flags that are necessary to link a Gimp plug-in.

--libs-noui
    Print the linker flags that are necessary to link a Gimp plug-in, for plugins that do not require the GTK libs.

--cflags
    Print the compiler flags that are necessary to compile a Gimp plug-in.

--clags-noui
    Print the compiler flags that are necessary to compile a Gimp plug-in for plugins that do not require the GTK libs.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that Gimp was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that Gimp was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

ENVIRONMENT

GTK_CONFIG
    to get the location of the gtk-config program.

CC  to get the name of the desired C compiler.

CFLAGS
    to get the preferred flags to pass to the C compiler for plug-in building.

DESTDIR
    to add a prefix to the install/uninstall path.

LDFLAGS
    to get the prefered flags for passing to the linker.

LIBS
    for passing extra libs that may be needed in the build process. For example, LIBS=-lintl .

GTK_CONFIG
    path to the gtk-config shell script used by gimptool and in the build process of many gtk apps.

SEE ALSO
gimp(1), gimprc(5), gimp-remote(1), gtk-config(1)

AUTHORS
gimptool was written by Manish Singh (yosh@gimp.org) and is based on gtk-config by Owen Taylor (owen@gtk.org). This man page was written by Ben Gertzfield (che@debian.org), and tweaked by Manish Singh (yosh@gimp.org), Adrian Likins (adrian@gimp.org) and Marc Lehmann (pcg@goof.com>).